<?php require_once('../auth/auth.php'); ?>
<?php


$sms_tamp_check_defaultACOP = mysqli_query($conn,"SELECT sta_id FROM sms_tamp_all WHERE coid='$coid' AND bid='$bid' AND brid='$brid' AND type='NEWACOP' ");
 $counttampACOP = mysqli_num_rows($sms_tamp_check_defaultACOP);
if($counttampACOP < 1){
mysqli_query($conn,"INSERT INTO `sms_tamp_all`(`coid`,`bid`,`brid`,`type`,`smstext`, `datetime`,`status`) 
VALUES ('$coid','$bid','$brid','NEWACOP','sms text','$datetime', '1')")or die(mysqli_error($conn));
}
// Account Create complete

$sms_tamp_check_defaultOP = mysqli_query($conn,"SELECT sta_id FROM sms_tamp_all WHERE coid='$coid' AND bid='$bid' AND brid='$brid' AND type='OP' ");
 $counttampOP = mysqli_num_rows($sms_tamp_check_defaultOP);
if($counttampOP < 1){
mysqli_query($conn,"INSERT INTO `sms_tamp_all`(`coid`,`bid`,`brid`,`type`,`smstext`, `datetime`,`status`) 
VALUES ('$coid','$bid','$brid','OP','sms text','$datetime', '1')")or die(mysqli_error($conn));
}
// op complete

$sms_tamp_check_defaultPAY = mysqli_query($conn,"SELECT sta_id FROM sms_tamp_all WHERE coid='$coid' AND bid='$bid' AND brid='$brid' AND type='PAY' ");
 $counttampPAY = mysqli_num_rows($sms_tamp_check_defaultPAY);
if($counttampPAY < 1){
mysqli_query($conn,"INSERT INTO `sms_tamp_all`(`coid`,`bid`,`brid`,`type`,`smstext`, `datetime`,`status`) 
VALUES ('$coid','$bid','$brid','PAY','sms text','$datetime', '1')")or die(mysqli_error($conn));
}
// PAY complete

$sms_tamp_check_defaultREC = mysqli_query($conn,"SELECT sta_id FROM sms_tamp_all WHERE coid='$coid' AND bid='$bid' AND brid='$brid' AND type='REC' ");
 $counttampREC = mysqli_num_rows($sms_tamp_check_defaultREC);
if($counttampREC < 1){
mysqli_query($conn,"INSERT INTO `sms_tamp_all`(`coid`,`bid`,`brid`,`type`,`smstext`, `datetime`,`status`) 
VALUES ('$coid','$bid','$brid','REC','sms text','$datetime', '1')")or die(mysqli_error($conn));
}
// REC complete

$sms_tamp_check_defaultEPUR = mysqli_query($conn,"SELECT sta_id FROM sms_tamp_all WHERE coid='$coid' AND bid='$bid' AND brid='$brid' AND type='EPUR' ");
 $counttampEPUR = mysqli_num_rows($sms_tamp_check_defaultEPUR);
if($counttampEPUR < 1){
mysqli_query($conn,"INSERT INTO `sms_tamp_all`(`coid`,`bid`,`brid`,`type`,`smstext`, `datetime`,`status`) 
VALUES ('$coid','$bid','$brid','EPUR','sms text','$datetime', '1')")or die(mysqli_error($conn));
}
// EPUR complete

$sms_tamp_check_defaultECSL = mysqli_query($conn,"SELECT sta_id FROM sms_tamp_all WHERE coid='$coid' AND bid='$bid' AND brid='$brid' AND type='ECSL' ");
 $counttampECSL = mysqli_num_rows($sms_tamp_check_defaultECSL);
if($counttampECSL < 1){
mysqli_query($conn,"INSERT INTO `sms_tamp_all`(`coid`,`bid`,`brid`,`type`,`smstext`, `datetime`,`status`) 
VALUES ('$coid','$bid','$brid','ECSL','sms text','$datetime', '1')")or die(mysqli_error($conn));
}

// ECSL complete

$sms_tamp_check_default_ERSL = mysqli_query($conn,"SELECT sta_id FROM sms_tamp_all WHERE coid='$coid' AND bid='$bid' AND brid='$brid' AND type='ERSL' ");
 $counttampERSL = mysqli_num_rows($sms_tamp_check_default_ERSL);
if($counttampERSL < 1){
mysqli_query($conn,"INSERT INTO `sms_tamp_all`(`coid`,`bid`,`brid`,`type`,`smstext`, `datetime`,`status`) 
VALUES ('$coid','$bid','$brid','ERSL','sms text','$datetime', '1')")or die(mysqli_error($conn));
}

// ERSL complete

$sms_tamp_check_default_INSL = mysqli_query($conn,"SELECT sta_id FROM sms_tamp_all WHERE coid='$coid' AND bid='$bid' AND brid='$brid' AND type='INSL' ");
 $counttampINSL = mysqli_num_rows($sms_tamp_check_default_INSL);
if($counttampINSL < 1){
mysqli_query($conn,"INSERT INTO `sms_tamp_all`(`coid`,`bid`,`brid`,`type`,`smstext`, `datetime`,`status`) 
VALUES ('$coid','$bid','$brid','INSL','sms text','$datetime', '1')")or die(mysqli_error($conn));
}
// INSL complete

if(isset($_GET['sta_id'])){
   $sta_id= $_GET['sta_id'];
   $stidquery= mysqli_query($conn,"SELECT `sta_id`, `coid`, `bid`, `brid`, `type`, `smstext`, `datetime`, `status`  FROM sms_tamp_all WHERE sta_id='$sta_id' LIMIT 1 ") or die (mysqli_error($conn));
  $rows= mysqli_fetch_assoc($stidquery);
   $type=$rows['type'];
   $smstexttamp=$rows['smstext'];
}
?>
<section class="content">
  <div class="container-fluid">
    <div class="row">
     <div class="col-md-5">
       <div class="card card-primary card-outline direct-chat direct-chat-primary shadow-none" style="border-left:1px solid #969c9d;border-right:1px solid #969c9d;border-bottom:1px solid #969c9d;">
         <div class="card-header" style="padding: 5px 8px;"><h3 class="card-title"><?php echo language(380); ?> </h3> <div class="card-tools"> <button type="button" class="btn btn-tool" data-card-widget="remove"> <i class="fas fa-times"></i>  </button> </div>
       </div>
       <form id="sms_formet_form" action="#" method="post" autocomplete="off">
        <input type="hidden" name="newsmstampid" value="<?php echo @$sta_id ;?>"/>
              <div class="card-body">
               <div class="col-md-12">
                 <div class="row">
                      <input type="hidden" name="type" id="type" value="<?php echo @$type ;?>"/>
                      
              <?php 
                  if(@$type=='OP'){
       echo '<pre class="text-blod" style="font-weight:600;background-color:#06220a!important;color:white;width:-webkit-fill-available;">
            প্রিয় স্যার,
                আপনার অ্যাকাউন্টে জমা হয়েছে <b class="text-danger"> %opbalance% </b> 
                সর্বশেষ ব্যালেন্স রয়েছে <b class="text-danger"> %lastbalance% </b>
                Helpline :-01780734257
            </pre>';

                  
              }else if(@$type=='PAY'){
                  
               echo '<pre class="text-blod" style="font-weight:600;background-color:#06220a!important;color:white;width:-webkit-fill-available;">
            প্রিয় স্যার,
                আপনার পূর্বের দায় ছিল <b class="text-danger"> %prebalance% </b> 
                বর্তমান পরিশোধ করেছেন <b class="text-danger"> %payment% </b> 
                সর্বশেষ ব্যালেন্স রয়েছে <b class="text-danger"> %lastbalance% </b>
                Helpline :-01780734257
            </pre>';
                  
              }else if(@$type=='REC'){
                  
              echo '<pre class="text-blod" style="font-weight:600;background-color:#06220a!important;color:white;width:-webkit-fill-available;">
            প্রিয় স্যার,
                আপনার পূর্বের বকেয়া ছিল <b class="text-danger"> %prebalance% </b> 
                বর্তমান পরিশোধ করেছেন <b class="text-danger"> %payment% </b> 
                সর্বশেষ ব্যালেন্স রয়েছে <b class="text-danger"> %lastbalance% </b>
                Helpline :-01780734257
            </pre>';
                  
              }else if(@$type=='EPUR'){
              echo '<pre class="text-blod" style="font-weight:600;background-color:#06220a!important;color:white;width:-webkit-fill-available;">
            প্রিয় স্যার,
                আপনার কাছ থেকে পণ্য ক্রয় করা হয়েছে<b class="text-danger"> %invoice% </b> 
                কমিশন পেয়েছি  <b class="text-danger"> %discount% </b> 
                পূর্বের ব্যালেন্স ছিল <b class="text-danger"> %prebalance% </b>
                পরিশোধ করেছি  <b class="text-danger"> %payment% </b>
                সর্বশেষ ব্যালেন্স রয়েছে <b class="text-danger"> %lastbalance% </b>
                Helpline :-01780734257
            </pre>';
                  
              }else if(@$type=='ECSL'){
                  echo '<pre class="text-blod" style="font-weight:600;background-color:#06220a!important;color:white;width:-webkit-fill-available;">
            প্রিয় স্যার,
                আপনার কাছ বিক্রয় করা হয়েছে<b class="text-danger"> %invoice% </b> 
                  ডেলিভারি চার্জ  <b class="text-danger"> %d_charge% </b>
                কমিশন দিয়েছি  <b class="text-danger"> %discount% </b> 
                পূর্বের ব্যালেন্স ছিল <b class="text-danger"> %prebalance% </b>
                পরিশোধ করেছেন  <b class="text-danger"> %payment% </b>
                Helpline :-01780734257
            </pre>';
                  
              }else if(@$type=='ERSL'){
                 echo '<pre class="text-blod" style="font-weight:600;background-color:#06220a!important;color:white;width:-webkit-fill-available;">
            প্রিয় স্যার,
                আপনার কাছ বিক্রয় করা হয়েছে<b class="text-danger"> %invoice% </b> 
                কমিশন দিয়েছি  <b class="text-danger"> %discount% </b> 
                ডেলিভারি চার্জ  <b class="text-danger"> %d_charge% </b>
                পূর্বের ব্যালেন্স ছিল <b class="text-danger"> %prebalance% </b>
                পরিশোধ করেছেন  <b class="text-danger"> %payment% </b>
                সর্বশেষ ব্যালেন্স রয়েছে <b class="text-danger"> %lastbalance% </b>
                Helpline :-01780734257
            </pre>';
                  
              }else if(@$type=='INSL'){
                echo '<pre class="text-blod" style="font-weight:600;background-color:#06220a!important;color:white;width:-webkit-fill-available;">
            প্রিয় স্যার,
                আপনার কাছ বিক্রয় করা হয়েছে<b class="text-danger"> %invoice% </b> 
                ডেলিভারি চার্জ  <b class="text-danger"> %d_charge% </b>
                কমিশন দিয়েছি  <b class="text-danger"> %discount% </b> 
                পূর্বের ব্যালেন্স ছিল <b class="text-danger"> %prebalance% </b>
                পরিশোধ করেছেন  <b class="text-danger"> %payment% </b>
                সর্বশেষ ব্যালেন্স রয়েছে <b class="text-danger"> %lastbalance% </b>
                Helpline :-01780734257
            </pre>';
                  
              }else if(@$type=='NEWACOP'){
                echo '<pre class="text-blod" style="font-weight:600;background-color:#06220a!important;color:white;width:-webkit-fill-available;">
            সম্মানিত স্যার ,
                আপনার একাউন্টটি সফল ভাবে তৈরি হয়েছে ।
                আপনার আইডি :  <b class="text-danger"> %accounts_id% </b>
                নাম            :       <b class="text-danger">  %accounts_name%  </b>
                ফোন          :      <b class="text-danger">   %accounts_phone%  </b>
                ইমেইল       :      <b class="text-danger">   %accounts_email%  </b>
                এন আইডি  :     <b class="text-danger">  %accounts_nid%   </b>
                ঠিকানা        :     <b class="text-danger">  %accounts_address%  </b>
                HelpLine    :     01780734257

            </pre>';
                  
              }
                      
                      ?>
                      
                      
                      
                      <?php if(isset($_GET['sta_id'])){  ?>
                      <div class="col-md-12">
                        <div class="form-group">
                          <label> <?php echo language(274); ?><b class="text-danger"> *</b></label>
                          <textarea type="text" name="smstext_body" rows="8"  class="form-control form-control-sm "  required="true">  <?php echo @$smstexttamp ?></textarea>
                        </div>
                      </div>
                     <?php } else{ ?>
                      <div class="col-md-12">
                          <div class="form-group">
                            <label> <?php echo language(274); ?><b class="text-danger"> *</b></label>
                            <textarea type="text" name="smstext_body"  rows="8"  class="form-control form-control-sm "  required="true" readonly="true">  <?php echo @$smstexttamp ?></textarea>
                          </div>
                      </div>
                  <?php } ?>
                </div>
              </div>
            </div>
             <?php if(isset($_GET['sta_id'])){  ?>
                  <center>
                   <div class="card-footer" style="padding: 8px 5px;">
                    <button type="submit" id="save" class="btn btn-success btn-xs"><?php echo language(23);?></button>
                  </div>
                </center>
            <?php } ?>
      </form>
    </div>
  </div>
  <div class="col-md-7"> 
      <div class="card-body p-1">
        <tr>
          <th rowspan="3"  class="text-center" >
            <input type="text" id="search" class="form-control form-control-sm search"  placeholder="searching" required="true" style="border-radius: ;border:1px solid primary;width:100%; text-align:center; padding:; ">
          </th>
        </tr>
        <table id="trbl_table" class=" ttable" cellpadding="0" cellspacing="0">
          <thead>
            <tr class="sticky-top">
              <th class="text-center" style="width:5%;"><?php echo language(15); ?></th>
              <th style="width:25%;"><?php echo language(244); ?> </th>
              <th class="text-center" style="width:20%;"><?php echo language(377); ?></th>
              <th class="text-center" style="width:50%;"><?php echo language(275); ?> </th>
            </tr>
          </thead>
          <tbody id="colview" class="searchtable">
            <?php
            $sms_tamp_query= mysqli_query($conn,"SELECT `sta_id`, `coid`, `bid`, `brid`, `type`, `smstext`, `datetime`, `status` FROM sms_tamp_all WHERE coid='$coid' AND bid='$bid' AND brid='$brid' ") or die (mysqli_error($conn));
            $i=0;
            while ($rowar= mysqli_fetch_array ($sms_tamp_query) ){
             $branchid  =$rowar['brid'];
             $branch_name=mysqli_fetch_assoc(mysqli_query($conn,"SELECT branch_name FROM branch WHERE brid='$branchid'  LIMIT 1 "))['branch_name'];  
             ?>
              <tr class="btn-outline-dark tr-hover delete_op<?php echo $rowar['sta_id'];?>" onclick="pagecall('../sms/sms_formet.php?sta_id='+'<?php echo $rowar['sta_id'];?>','#sms_view')">
              <td  style="font-size: 11.5px;text-align: center;"><?php echo ++$i ?></td>
              <td  style="font-size: 11.5px"><?php echo $branch_name;?> </td>
              <td  style="font-size: 11.5px"><?php 
              
               
              
              if($rowar['type']=='OP'){
                echo language(48);
                  
              }else if($rowar['type']=='PAY'){
                  echo language(44);
                  
              }else if($rowar['type']=='REC'){
                   echo language(42);
                  
              }else if($rowar['type']=='EPUR'){
                 echo language(57);
                  
              }else if($rowar['type']=='ECSL'){
                  echo language(62);
                  
              }else if($rowar['type']=='ERSL'){
                  echo language(63);
                  
              }else if($rowar['type']=='INSL'){
                echo language(375);
                  
              }else if($rowar['type']=='NEWACOP'){
                echo language(280);
                  
              }
              
              
              ?></td>
              <td   style="font-size: 11.5px"><?php echo $rowar['smstext'] ;?>  </td>
            </tr>
          <?php } ?>
        </tbody>
      </table>
    </div>
  </div>
</div>
</div>
</section>

<script>
 $(document).ready(function() {
$("select").select2();
   $('#sms_formet_form').on('submit', function(e){
     $('#save').prop('disabled', true);
     $('#save').html('<span class="spinner-border spinner-border-sm" role="status" aria-hidden="true"></span> '+'Loading...');
     e.preventDefault();  
     $.post("../sms/sms_formet_db.php",$(this).serialize(),function(data){
      $('#sms_formet_form')[0].reset();
      $('#save').prop('disabled', false);
      $.post('../sms/sms_formet.php?running='+1,{},function(res){
       $('#sms_view').html(res);
       toastr.success(Showing, '<?php echo "Data Load Succefully " ?>');
     }); 
    });
   });

  $('.search').on('keyup',function(){
      var searchTerm = $(this).val().toLowerCase();
      $('.searchtable tr').each(function(){
        var lineStr = $(this).text().toLowerCase();
        if(lineStr.indexOf(searchTerm) === -1){
          $(this).hide();
        }else{
          $(this).show();
        }
      });
    });

  });
</script>

